Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetStickers

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Stickers>
it.tdlight.jni.TdApi.GetStickers

Enclosing class:
  TdApi

public static final class TdApi.GetStickers extends TdApi.Function<TdApi.Stickers>
Returns stickers from the installed sticker sets that correspond to any of the given emoji or can be found by sticker-specific keywords. If the query is non-empty, then favorite, recently used or trending stickers may also be returned.

Returns `Stickers`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier for which to return stickers.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`limit`
The maximum number of stickers to be returned.
`String`
`query`
Search query; a space-separated list of emoji or a keyword prefix.
`TdApi.StickerType`
`stickerType`
Type of the stickers to return.

## Constructor Summary

Constructors
Constructor
Description
`GetStickers()`
Returns stickers from the installed sticker sets that correspond to any of the given emoji or can be found by sticker-specific keywords.
`GetStickers(TdApi.StickerType stickerType, String query, int limit, long chatId)`
Returns stickers from the installed sticker sets that correspond to any of the given emoji or can be found by sticker-specific keywords.
`GetStickers(DataInput input)`
Returns stickers from the installed sticker sets that correspond to any of the given emoji or can be found by sticker-specific keywords.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### stickerType

public TdApi.StickerType stickerType
Type of the stickers to return.

### query

public String query
Search query; a space-separated list of emoji or a keyword prefix. If empty, returns all known installed stickers.

### limit

public int limit
The maximum number of stickers to be returned.

### chatId

public long chatId
Chat identifier for which to return stickers. Available custom emoji stickers may be different for different chats.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### GetStickers

public GetStickers()
Returns stickers from the installed sticker sets that correspond to any of the given emoji or can be found by sticker-specific keywords. If the query is non-empty, then favorite, recently used or trending stickers may also be returned.

Returns `Stickers`

### GetStickers

public GetStickers(TdApi.StickerType stickerType, String query, int limit, long chatId)
Returns stickers from the installed sticker sets that correspond to any of the given emoji or can be found by sticker-specific keywords. If the query is non-empty, then favorite, recently used or trending stickers may also be returned.

Returns `Stickers`

Parameters:
  `stickerType` - Type of the stickers to return.
  `query` - Search query; a space-separated list of emoji or a keyword prefix. If empty, returns all known installed stickers.
  `limit` - The maximum number of stickers to be returned.
  `chatId` - Chat identifier for which to return stickers. Available custom emoji stickers may be different for different chats.

  Returns `Stickers`

### GetStickers

public GetStickers(DataInput input) throws IOException
Returns stickers from the installed sticker sets that correspond to any of the given emoji or can be found by sticker-specific keywords. If the query is non-empty, then favorite, recently used or trending stickers may also be returned.

Returns `Stickers`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`